# -*- encoding: utf-8 -*-
##############################################################################
#
#    Addition to OpenERP, Open Source Management Solution   
#    Copyright (C) 2004-2012 Vertel. All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv, fields
import pooler
import time
import datetime

class fms_damage_report(osv.osv):
    _name = "fms.damage_report"
    _description = "Damage Report"
    _columns = {
                'vehicle_id': fields.many2one('fms.vehicles', 'Vehicle', required=True, ondelete='cascade', select=True, ),
                'date':fields.date('Date',required=True),
                'odometer':fields.integer('Odometer',required=True),
                'emp_resp':fields.many2one('hr.employee','Employee Responsible',required=True),                
                'note':fields.text('Note'),                
                'type':fields.selection([('official','Official Matter'),('private','Private'),],readonly=False)
                }
    _defaults = {
        'date' : lambda *a: time.strftime('%Y-%m-%d'),
        'type': 'official',
    }
fms_damage_report()

class fms_vehicles(osv.osv):
    _name = "fms.vehicles"
    _inherit = "fms.vehicles"

    _columns = {
                'damage_report': fields.one2many('fms.damage_report', 'vehicle_id', 'Damage Report', readonly=True, states={'draft': [('readonly', False)]}),
                }
    
fms_vehicles()


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
